<?php
/**
 * Plugin Name: User Registration Frontend Listing
 * Plugin URI: https://wpeverest.com/wordpress-plugins/user-registration/frontend-listing
 * Description: Frontend user listing addon for user registration plugin.
 * Version: 1.1.2
 * Author: WPEverest
 * Author URI: https://wpeverest.com
 * Text Domain: user-registration-frontend-listing
 * Domain Path: /languages/
 * UR requires at least: 1.9.5
 * UR tested up to: 2.3.2
 *
 * Copyright: © 2020 WPEverest.
 * License: GNU General Public License v3.0
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 *
 * @package User_Registration_Frontend_Listing
 */

defined( 'ABSPATH' ) || exit;

if ( file_exists( dirname( __FILE__ ) . '/vendor/autoload.php' ) ) {
	require_once dirname( __FILE__ ) . '/vendor/autoload.php';
}

use WPEverest\URFrontendListing\FrontendListing;

if ( ! defined( 'UR_FRONTEND_LISTING_VERSION' ) ) {
	define( 'UR_FRONTEND_LISTING_VERSION', '1.1.2' );
}

// Define UR_FRONTEND_LISTING_PLUGIN_FILE.
if ( ! defined( 'UR_FRONTEND_LISTING_PLUGIN_FILE' ) ) {
	define( 'UR_FRONTEND_LISTING_PLUGIN_FILE', __FILE__ );
}

// Define UR_FRONTEND_LISTING_DIR.
if ( ! defined( 'UR_FRONTEND_LISTING_DIR' ) ) {
	define( 'UR_FRONTEND_LISTING_DIR', plugin_dir_path( __FILE__ ) );
}

// Define UR_FRONTEND_LISTING_DS.
if ( ! defined( 'UR_FRONTEND_LISTING_DS' ) ) {
	define( 'UR_FRONTEND_LISTING_DS', DIRECTORY_SEPARATOR );
}

// Define UR_FRONTEND_LISTING_URL.
if ( ! defined( 'UR_FRONTEND_LISTING_URL' ) ) {
	define( 'UR_FRONTEND_LISTING_URL', plugin_dir_url( __FILE__ ) );
}

// Define UR_FRONTEND_LISTING_ASSETS_URL.
if ( ! defined( 'UR_FRONTEND_LISTING_ASSETS_URL' ) ) {
	define( 'UR_FRONTEND_LISTING_ASSETS_URL', UR_FRONTEND_LISTING_URL . 'assets' );
}

// Define UR_FRONTEND_LISTING_TEMPLATE_PATH.
if ( ! defined( ' UR_FRONTEND_LISTING_TEMPLATE_PATH' ) ) {
	define( 'UR_FRONTEND_LISTING_TEMPLATE_PATH', UR_FRONTEND_LISTING_DIR . 'templates' );
}

/**
 * Initialization of FrontendListing instance.
 **/
function frontend_listing() {
	return FrontendListing::get_instance();
}

frontend_listing();
