"use strict";

(function ($) {
  var tfa_btn = $("#user_registration_tfa_enable_disable");

  $(document).ready(function () {
    if (tfa_btn.length) {
      hide_show_settings();

      tfa_btn.on("change", function () {
        hide_show_settings();
      });
    }
  });

  /**
   * Show or Hide Two Factor Authentication Settings when enabled or disabled.
   */
  function hide_show_settings() {
    var tfa_status = tfa_btn.is(":checked");
    if (true === tfa_status) {
      show_tfa_settings();
    } else {
      hide_tfa_settings();
    }
  }

  /**
   * Hide Two Factor Authentication Settings.
   */
  function hide_tfa_settings() {
    $(".user-registration-card").slice(1).hide();
    $("#user_registration_tfa_roles").closest("tr").hide();
  }

  /**
   * Show Two Factor Authentication Settings.
   */
  function show_tfa_settings() {
    $(".user-registration-card").slice(1).show();
    $("#user_registration_tfa_roles").closest("tr").show();
  }

  /**
   * Do not allow users to enter negative values in number field.
   */
  $(".user_registration_tfa_number_input").keypress(function (e) {
    if (
      !(
        (e.keyCode > 95 && e.keyCode < 106) ||
        (e.keyCode > 47 && e.keyCode < 58) ||
        e.keyCode == 8
      )
    ) {
      return false;
    }
  });

  /**
   * Change the value to 1 if user enters 0 as first letter.
   */
  $(".user_registration_tfa_number_input").keyup(function (e) {
    if (e.target.value === 0) {
      e.target.value = 1;
    }
  });
})(jQuery);
