"use strict";

(function ($) {

  $(document).ready(function () {
    ur2fa_render_remaining_time();
  });

  // For Ajax Login.
  $(document).on( 'user_registration_after_login_failed', function() {
      $( '#user-registration' ).on( 'DOMNodeInserted', ur2fa_render_remaining_time );
  })

  /**
   * This function runs the remaining time counter in the otp
   * submission limit error message.
   */
  var ur2fa_render_remaining_time = function () {

    $( '#user-registration' ).off( 'DOMNodeInserted', ur2fa_render_remaining_time );

    var counter_element = $("#user_registration_tfa_remaining_time");

    if( 0 !== parseInt( counter_element.length ) ) {
        var hold_period = counter_element.attr('data-hold-period');

        if ( undefined === hold_period || false === hold_period ) {
            location.reload();
        }

        var remaining_time = hold_period;

        var time_counter = setInterval( function() {
            var standard_time = ur2fa_get_standard_time( remaining_time );
            counter_element.html(standard_time);
            remaining_time--;

            if ( 0 > remaining_time) {
                clearInterval( time_counter );
                counter_element.html( 'reloading' );
                location.reload();
            }
        },1000)

        $( '.ur-submit-button' ).attr( 'disabled', 'disabled' );
    }
  }

  /**
   *
   * @param {int} time Time to hold user ( in minutes ).
   * @returns string Time Period in standard format. Eg. 5 minutes 2 seconds.
   */
  function ur2fa_get_standard_time( time ) {
  var standard_time = '';

  if( time > 86400) {
      standard_time += Math.floor( time / 86400 ) + ' days ';
      time = time % 86400;
  }

  if ( time > 3600 ) {
      standard_time += Math.floor( time / 3600 ) + ' hours ';
      time = time % 3600;
  }

  if ( time > 60 ) {
      standard_time += Math.floor( time / 60 ) + ' minutes ';
      time = time % 60;
  }

  if ( time > 0 ) {
      standard_time += time + ' seconds ';
      time = 0;
  }

  return standard_time.trim();
  }

})(jQuery);

